This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 274281 - debuginfo-install tracebacks
debuginfo-install tracebacks
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All All
medium Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-01 22:18 EDT by Bill Nottingham
Modified: 2014-03-16 23:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.2.5-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 23:20:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-09-01 22:18:29 EDT
Description of problem:

[root@nostromo ~]# debuginfo-install firefox
Loading "skip-broken" plugin
Repository 'dfoo' is missing name in configuration, using id
enabling livna-development-debuginfo
Reading repository metadata in from local files
enabling development-debuginfo
Reading repository metadata in from local files
Traceback (most recent call last):
  File "/usr/bin/debuginfo-install", line 105, in <module>
    util = DebugInfoInstall()
  File "/usr/bin/debuginfo-install", line 38, in __init__
    self.main()
  File "/usr/bin/debuginfo-install", line 59, in main
    self.debugInfo_main()
  File "/usr/bin/debuginfo-install", line 86, in debugInfo_main
    for po in self.rpmdb.matchPackageNames(pkgglob, casematch=True):
TypeError: matchPackageNames() got an unexpected keyword argument 'casematch'
[root@nostromo ~]# rpm -q yum yum-utils
yum-3.2.4-3.fc8
yum-utils-1.1.6-1.fc8
Comment 1 Seth Vidal 2007-09-02 10:04:24 EDT
fixed in git upstream.

there were two bugs here:
1. debuginfo using the old call for matchPackageNames()
2. PackageSackBase.matchPackageNames() being plainly busted.

thanks
Comment 2 Fedora Update System 2007-09-12 12:41:17 EDT
yum-3.2.5-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2007-09-17 23:20:48 EDT
yum-3.2.5-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.